Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.maven.spi
Class AbstractMavenUrlProvider

    java.lang.Object
      org.modeshape.maven.spi.AbstractMavenUrlProvider

All Implemented Interfaces:
  MavenUrlProvider

Direct Known Subclasses:
  JcrMavenUrlProvider

    public abstract class AbstractMavenUrlProvider

extends Object
implements MavenUrlProvider

An abstract URL provider for Maven 2 repositories.

Constructor Summary
`AbstractMavenUrlProvider()`

Method Summary
`void` | `configure(Properties properties)` Configure this provider given the configuration properties.
`Properties` | `getProperties()` Get the properties for this provider.
`void` | `setProperties(Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.maven.spi.MavenUrlProvider
`getUrl`

Constructor Detail

### AbstractMavenUrlProvider

    public AbstractMavenUrlProvider()

Method Detail

### configure

    public void configure(Properties properties)

  Configure this provider given the configuration properties. This method is intended to be called by the `MavenRepository` that instantiates this provider, and only once immediately after instantiation and before any calls to `MavenUrlProvider.getUrl(MavenId, ArtifactType, SignatureType, boolean)`.

  Specified by:
    `configure` in interface `MavenUrlProvider`
  Parameters:
    `properties` - the configuration properties

### getProperties

    public Properties getProperties()

  Get the properties for this provider.

  Returns:
    the properties

### setProperties

    public void setProperties(Properties properties)

  Parameters:
    `properties` - Sets properties to the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.